import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, SubTable } from 'model-util';
import { CnProject } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-23 10:29
 */
interface CnProjectCU extends ConditionUtil<CnProjectCU> {
    ID: FieldUtil<CnProjectCU>;
    SERVICE_CENTER_ID: FieldUtil<CnProjectCU>;
    APP_ID: FieldUtil<CnProjectCU>;
    CODE: FieldUtil<CnProjectCU>;
    NAME: FieldUtil<CnProjectCU>;
    DESCRIBE: FieldUtil<CnProjectCU>;
    GITLAB_URL: FieldUtil<CnProjectCU>;
    USERNAME: FieldUtil<CnProjectCU>;
    PASSWORD: FieldUtil<CnProjectCU>;
    IS_SUBMODULE: FieldUtil<CnProjectCU>;
    SUBMODULE_NAME: FieldUtil<CnProjectCU>;
    TOOL_VERSION: FieldUtil<CnProjectCU>;
    PACK_TYPE: FieldUtil<CnProjectCU>;
    TAPD_ID: FieldUtil<CnProjectCU>;
    TYPE: FieldUtil<CnProjectCU>;
    HEALTHY_URL: FieldUtil<CnProjectCU>;
    DELETED: FieldUtil<CnProjectCU>;
    CREATE_USER_ID: FieldUtil<CnProjectCU>;
    CREATE_TIME: FieldUtil<CnProjectCU>;
    UPDATE_USER_ID: FieldUtil<CnProjectCU>;
    UPDATE_TIME: FieldUtil<CnProjectCU>;
    SERVICE_CENTER_NAME: FieldUtil<CnProjectCU>;
    APP_NAME: FieldUtil<CnProjectCU>;
    CONFIG_CENTER_CODE: FieldUtil<CnProjectCU>;
    IMAGE_PORT_MAPPING: FieldUtil<CnProjectCU>;
    MAIN_CLASS: FieldUtil<CnProjectCU>;
}
declare class CnProjectMU extends TableUtilImpl<CnProjectCU, CnProject> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: SubTable[];
    createConditionUtil(): CnProjectCU;
    static get ID(): FieldUtil<CnProjectCU>;
    static get SERVICE_CENTER_ID(): FieldUtil<CnProjectCU>;
    static get APP_ID(): FieldUtil<CnProjectCU>;
    static get CODE(): FieldUtil<CnProjectCU>;
    static get NAME(): FieldUtil<CnProjectCU>;
    static get DESCRIBE(): FieldUtil<CnProjectCU>;
    static get GITLAB_URL(): FieldUtil<CnProjectCU>;
    static get USERNAME(): FieldUtil<CnProjectCU>;
    static get PASSWORD(): FieldUtil<CnProjectCU>;
    static get IS_SUBMODULE(): FieldUtil<CnProjectCU>;
    static get SUBMODULE_NAME(): FieldUtil<CnProjectCU>;
    static get TOOL_VERSION(): FieldUtil<CnProjectCU>;
    static get PACK_TYPE(): FieldUtil<CnProjectCU>;
    static get TAPD_ID(): FieldUtil<CnProjectCU>;
    static get TYPE(): FieldUtil<CnProjectCU>;
    static get HEALTHY_URL(): FieldUtil<CnProjectCU>;
    static get DELETED(): FieldUtil<CnProjectCU>;
    static get CREATE_USER_ID(): FieldUtil<CnProjectCU>;
    static get CREATE_TIME(): FieldUtil<CnProjectCU>;
    static get UPDATE_USER_ID(): FieldUtil<CnProjectCU>;
    static get UPDATE_TIME(): FieldUtil<CnProjectCU>;
    static get SERVICE_CENTER_NAME(): FieldUtil<CnProjectCU>;
    static get APP_NAME(): FieldUtil<CnProjectCU>;
    static get CONFIG_CENTER_CODE(): FieldUtil<CnProjectCU>;
    static get IMAGE_PORT_MAPPING(): FieldUtil<CnProjectCU>;
    static get MAIN_CLASS(): FieldUtil<CnProjectCU>;
    get ID(): FieldUtil<CnProjectCU>;
    get SERVICE_CENTER_ID(): FieldUtil<CnProjectCU>;
    get APP_ID(): FieldUtil<CnProjectCU>;
    get CODE(): FieldUtil<CnProjectCU>;
    get NAME(): FieldUtil<CnProjectCU>;
    get DESCRIBE(): FieldUtil<CnProjectCU>;
    get GITLAB_URL(): FieldUtil<CnProjectCU>;
    get USERNAME(): FieldUtil<CnProjectCU>;
    get PASSWORD(): FieldUtil<CnProjectCU>;
    get IS_SUBMODULE(): FieldUtil<CnProjectCU>;
    get SUBMODULE_NAME(): FieldUtil<CnProjectCU>;
    get TOOL_VERSION(): FieldUtil<CnProjectCU>;
    get PACK_TYPE(): FieldUtil<CnProjectCU>;
    get TAPD_ID(): FieldUtil<CnProjectCU>;
    get TYPE(): FieldUtil<CnProjectCU>;
    get HEALTHY_URL(): FieldUtil<CnProjectCU>;
    get DELETED(): FieldUtil<CnProjectCU>;
    get CREATE_USER_ID(): FieldUtil<CnProjectCU>;
    get CREATE_TIME(): FieldUtil<CnProjectCU>;
    get UPDATE_USER_ID(): FieldUtil<CnProjectCU>;
    get UPDATE_TIME(): FieldUtil<CnProjectCU>;
    get SERVICE_CENTER_NAME(): FieldUtil<CnProjectCU>;
    get APP_NAME(): FieldUtil<CnProjectCU>;
    get CONFIG_CENTER_CODE(): FieldUtil<CnProjectCU>;
    get IMAGE_PORT_MAPPING(): FieldUtil<CnProjectCU>;
    get MAIN_CLASS(): FieldUtil<CnProjectCU>;
}
export { CnProjectMU, CnProjectCU };
